import React, {FC, ReactNode} from "react";
import {StyleProp, StyleSheet, TextStyle} from 'react-native';
import DText from "../DText/DText";
import {responsiveScreenFontSize} from "react-native-responsive-dimensions";

type Props = {
    children: ReactNode;
    style?: StyleProp<TextStyle>;
}
const DTitle: FC<Props> = ({children, style}) => {
    return (<DText style={[style, styles.text]}>{children}</DText>)
}
const styles = StyleSheet.create({
    text: {
        fontSize: responsiveScreenFontSize(2),
        fontWeight: "500",
        fontStyle: "normal"
    }
})
export default DTitle;